Name:           qjoypad
Version:        4.2.1
Release:        %mkrel 1
Summary:        Emulate keyboard or mouse actions with a joystick
Group:          System/Kernel and hardware
License:        GPLv2
URL:            http://qjoypad.sourceforge.net
# Fork by a new maintainer
Source0:        https://github.com/panzi/qjoypad/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  cmake
BuildRequires:  pkgconfig(udev)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xtst)
BuildRequires:  qt4-devel

%description
QJoyPad converts input from a gamepad or joystick into key-presses or mouse
actions, letting you control any X program with your game controller.
It comes with a convenient and easy-to-use interface.

%prep
%autosetup -p1

%build
%cmake
%make_build

%install
%make_install -C build

%files
%doc LICENSE.txt README.md
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png


%changelog
* Fri Dec 18 2015 akien <akien> 4.2.1-1.mga5
+ Revision: 911716
- Version 4.2.1
- Add patch to fix desktop category
- Version 4.2.0 (fork by new maintainer)

* Wed Oct 15 2014 umeabot <umeabot> 4.1.0-9.mga5
+ Revision: 750086
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 4.1.0-8.mga5
+ Revision: 688490
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 4.1.0-7.mga4
+ Revision: 517861
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 4.1.0-6.mga3
+ Revision: 379835
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + mikala <mikala>
    - Remove %%clean section & %%defattr()
    - Add -lX11 to linker to fix build.

* Sun Jan 16 2011 anssi <anssi> 4.1.0-4.mga1
+ Revision: 20176
- remove old scripts
- fix license tag
- rename desktop file
- remove old category from the desktop file
- imported package qjoypad

